Subject: Re: Help on proper time to prune my flowering plum

From: [email-masked] (UKurt)
Date: 6 Jun 1995 17:18:10 -0400

A flowering plum can be pruned at any time, however the  best time is
right after it finishes blooming in the Spring.  If you prune in the
winter, the way you would most deciduous trees, you would be cutting off
the flowers.  You want to prune a flowering tree after you enjoy the
flowers.